# Vawlt

Vawlt enables the **creation of virtual storage services** adapted to customers’ specifications, which are **easy to integrate** with both new or existing data storage strategies. The **data is stored in multiple cloud providers** simultaneously, ensuring levels of **security** and **reliability** unmatched by any other storage solution in the market.

Stoware can use Vawlt as its backup destination. It can be configured via UI as a **non-synthetic filesystem**. In this section, we described the steps necessary to set up Vawlt storage.

1. Request a new volume in the Vawlt with **File System** interface enabled with the desired space
2. Install Vawlt client on the nodes that will have access to the Vawlt volume - follow these steps: <https://docs.vawlt.io/docs/user-guide/install/installation#linux>
3. Uncomment the `user_allow_other` option in `/etc/fuse.conf` :<br>

   ```
   [root@rta-centos9-openstack-node ~]# cat /etc/fuse.conf 
   # mount_max = 1000
   user_allow_other
   ```
4. Login with your Vawlt account:<br>

   ```
   vawlt cli login
   ```
5. Run this command to change the mount point and allow `vprotect` user to use Vawlt volumes and confirm with `y`:<br>

   ```
   vawlt cli settings file-system set --mount-point /vprotect_data --allow-other-users yes
   ```
6. Verify settings:<br>

   ```
   [root@rta-centos9-openstack-node ~]# vawlt cli settings file-system show
   -----------------------------------------------------
   | Interface enabled                | yes            |
   | Mount-point path (parent folder) | /vprotect_data |
   | Allow others users (Linux only)  | yes            |
   -----------------------------------------------------
   ```
7. Verify if the user `vprotect` is able to access the volume:<br>

   ```
   [root@rta-centos9-openstack-node ~]# sudo -u vprotect ls -l /vprotect_data/Vawlt/
   total 0
   drwxrwxrwx. 1 vprotect vprotect 0 Dec  1 06:41 volume1
   drwxrwxrwx. 1 vprotect vprotect 0 Aug 11 09:22 volume2
   ```
8. Add a new backup destination of type **File system.** Make sure to specify volume in the path - e.g.:<br>

   ```
   /vprotect_data/Vawlt/volume1
   ```

More details about the Vawlt solution can be found in the official documentation: <https://docs.vawlt.io/docs/user-guide/aboutVawlt>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.storware.eu/deployment/backup-destinations/filesystem/vawlt.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
